Show / Hide Table of Contents

# Class OpenIddictServerDispatcher

##### Inheritance

System.Object
OpenIddictServerDispatcher

##### Implements

IOpenIddictServerDispatcher

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerDispatcher : IOpenIddictServerDispatcher

### Constructors

#### OpenIddictServerDispatcher(ILogger<OpenIddictServerDispatcher>, IOptionsMonitor<OpenIddictServerOptions>, IServiceProvider)

Creates a new instance of the OpenIddictServerDispatcher class.

##### Declaration

    public OpenIddictServerDispatcher(ILogger<OpenIddictServerDispatcher> logger, IOptionsMonitor<OpenIddictServerOptions> options, IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
ILogger<OpenIddictServerDispatcher> | logger |
IOptionsMonitor<OpenIddictServerOptions> | options |
System.IServiceProvider | provider |

### Methods

#### DispatchAsync<TContext>(TContext)

##### Declaration

    public ValueTask DispatchAsync<TContext>(TContext context)
        where TContext : BaseContext

##### Parameters

Type | Name | Description
--- | --- | ---
TContext | context |

##### Returns

Type | Description
--- | ---
ValueTask |

##### Type Parameters

Name | Description
--- | ---
TContext |

### Implements

IOpenIddictServerDispatcher